"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
const alias_1 = require("../../alias");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-alias', 'list');
class List extends alias_1.AliasCommand {
    async run() {
        const stateAggregator = await core_1.StateAggregator.getInstance();
        const keys = stateAggregator.aliases.getAll() || {};
        const results = Object.keys(keys).map((alias) => ({
            alias,
            value: keys[alias],
        }));
        this.output(alias_1.Command.List, results);
        return results;
    }
}
exports.default = List;
List.description = messages.getMessage('description');
List.aliases = ['force:alias:list'];
//# sourceMappingURL=list.js.map