import { SfdxCommand } from '@salesforce/command';
import { SfError } from '@salesforce/core';
import { Optional } from '@salesforce/ts-types';
export interface Msg {
    name: string;
    value?: string;
    success: boolean;
    location?: string;
    error?: SfError;
}
export declare type ConfigSetReturn = {
    successes: Array<{
        name: string;
        value: Optional<string>;
    }>;
    failures: Array<{
        name: string;
        message: string;
    }>;
};
export declare abstract class ConfigCommand extends SfdxCommand {
    protected responses: Msg[];
    output(header: string, verbose: boolean): void;
    parseArgs(): Promise<string[]>;
    formatResults(): ConfigSetReturn;
}
